---
title: "Fetch Form Answers"
url: "https://developer.incode.com/api-reference/form-answers/"
section: "api-reference"
group: "Forms and data entry"
version: "v1.1"
status: "live"
endpoint: "GET /omni/form/answers"
---
# Fetch Form Answers

`GET /omni/form/answers`

Base URL: `https://demo-api.incodesmile.com` — Incode demo environment

Retrieves all questions and answers that a user has responded to during a session, regardless of the form module configurations used.

Works with <Glossary>Admin Token</Glossary>.

## Path & query parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `interviewId` | query | string | yes |  |
| `api-version` | header | string | yes |  |

## Responses

### 200

OK

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `answers` | array[FormAnswerDto] |  | The answers provided by the user |
| `answers.question` | string |  | The question presented to the user |
| `answers.answerDetails` | FormAnswerDetailsDto |  | Details on user's answer |
| `answers.answerDetails.singleAnswer` | string |  | The user's answer to the question. Date Format: Dates in responses are returned as milliseconds since the Unix epoch (UTC) Country Code Format: Country codes in responses are returned using ISO 3166-1 alpha-3 format. For example, "USA" for the United States of America, "GBR" for Great Britain. |
| `answers.answerDetails.selectedAnswers` | array[string] |  | Field intended to support multiple selected answers by the user. Currently, this functionality is not supported and will always return as an empty array. |
| `answers.inputType` | string |  | Indicates the type of input used for the answer Enum: `NUMBER`, `CPF`, `COUNTRY`, `NATIONALITY`, `DATE`, `PHONE`, `EMAIL`, `TEXT`, `MULTISELECT`, `YESNO`, `SELECT` |

### 400

Bad Request

Response body (`application/json`):

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `timestamp` | integer (int64) |  | UTC timestamp in milliseconds |
| `status` | integer (int32) |  | Custom error code or HTTP status code |
| `error` | string |  | HTTP status error |
| `message` | string |  | Custom error message |
| `path` | string |  | Endpoint path |
| `details` | object |  | Custom error details |

## Code samples

Generated from this endpoint's method, path, and the conventional Incode headers. The base URL is the Incode demo environment; replace `<YOUR_API_KEY>` with a key for your region.

### cURL

```bash
curl -X GET https://demo-api.incodesmile.com/omni/form/answers \
  -H "x-api-key: <YOUR_API_KEY>" \
  -H "api-version: 1.0"
```

### Node

```js
const res = await fetch("https://demo-api.incodesmile.com/omni/form/answers", {
  method: "GET",
  headers: {
      "x-api-key": "<YOUR_API_KEY>",
      "api-version": "1.0",
  },
});
const data = await res.json();
```

### Python

```python
import requests

headers = {
    "x-api-key": "<YOUR_API_KEY>",
    "api-version": "1.0",
}
res = requests.get("https://demo-api.incodesmile.com/omni/form/answers", headers=headers)
data = res.json()
```

### Java

```java
HttpRequest req = HttpRequest.newBuilder()
    .uri(URI.create("https://demo-api.incodesmile.com/omni/form/answers"))
    .header("x-api-key", "<YOUR_API_KEY>")
    .header("api-version", "1.0")
    .method("GET", HttpRequest.BodyPublishers.noBody())
    .build();
HttpResponse<String> res = HttpClient.newHttpClient()
    .send(req, HttpResponse.BodyHandlers.ofString());
```

### Example response

```json
{
  "success": true,
  "status": "OK"
}
```
